Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.common.rome
Class AppModuleImpl

    java.lang.Object
      com.sun.syndication.feed.module.ModuleImpl
          com.sun.syndication.propono.atom.common.rome.AppModuleImpl

All Implemented Interfaces:
  CopyFrom, Module, AppModule, Serializable, Cloneable

    public class AppModuleImpl

extends ModuleImpl
implements AppModule

Bean representation of APP module.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.syndication.propono.atom.common.rome.AppModule
`URI`

Constructor Summary
`AppModuleImpl()`

Method Summary
`void` | `copyFrom(Object obj)` Copy from other module
`Boolean` | `getDraft()` True if entry is draft
`Date` | `getEdited()` Time of last edit
`Class` | `getInterface()` Get interface class of module
`void` | `setDraft(Boolean draft)` Set to true if entry is draft
`void` | `setEdited(Date edited)` Set time of last edit

Methods inherited from class com.sun.syndication.feed.module.ModuleImpl
`clone, equals, getUri, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.syndication.feed.module.Module
`clone, getUri`

Constructor Detail

### AppModuleImpl

    public AppModuleImpl()

Method Detail

### getDraft

    public Boolean getDraft()

  True if entry is draft

  Specified by:
    `getDraft` in interface `AppModule`

### setDraft

    public void setDraft(Boolean draft)

  Set to true if entry is draft

  Specified by:
    `setDraft` in interface `AppModule`

### getEdited

    public Date getEdited()

  Time of last edit

  Specified by:
    `getEdited` in interface `AppModule`

### setEdited

    public void setEdited(Date edited)

  Set time of last edit

  Specified by:
    `setEdited` in interface `AppModule`

### getInterface

    public Class getInterface()

  Get interface class of module

  Specified by:
    `getInterface` in interface `CopyFrom`

### copyFrom

    public void copyFrom(Object obj)

  Copy from other module

  Specified by:
    `copyFrom` in interface `CopyFrom`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD